package cokr.xit.fims.epst.service.bean;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import cokr.xit.foundation.component.AbstractServiceBean;
import cokr.xit.foundation.data.DataObject;

import cokr.xit.fims.epst.EpostQuery;
import cokr.xit.fims.epst.EpostRcptRslt;
import cokr.xit.fims.epst.service.EpostRcptRsltService;

/**전자우편 접수 결과 서비스 구현체.
 *
 * <p>상세 설명:
 *
 * <pre>
 * ============ 변경 이력 ============
 * 2023-12-12	JoJH 최초 작성
 * ================================
 * </pre>
 */
@Service("epostRcptRsltService")
public class EpostRcptRsltServiceBean extends AbstractServiceBean implements EpostRcptRsltService {

	/** 전자우편 접수 결과 정보 Bean */
	@Resource(name = "epostRcptRsltBean")
	private EpostRcptRsltBean epostRcptRsltBean;

	@Override
	public List<DataObject> getEpostRcptRsltList(EpostQuery req) {
		return epostRcptRsltBean.getEpostRcptRsltList(req);
	}

	@Override
	public List<DataObject> getEpostRcptRslts(EpostQuery req) {
		return epostRcptRsltBean.getEpostRcptRslts(req);
	}

	@Override
	public List<DataObject> getEpostRcptRsltSum(EpostQuery req) {
		return epostRcptRsltBean.getEpostRcptRsltSum(req);
	}

	@Override
	public boolean create(EpostRcptRslt epostRcptRslt) {
		return epostRcptRsltBean.create(epostRcptRslt);
	}

	@Override
	public boolean update(EpostRcptRslt epostRcptRslt) {
		return epostRcptRsltBean.update(epostRcptRslt);
	}

	@Override
	public boolean remove(EpostRcptRslt epostRcptRslt) {
		return epostRcptRsltBean.remove(epostRcptRslt);
	}

}
